# fn() createLcpTable
Creates a LCP table from a given text and suffix array.

Defined in | <seqan/index.h>
Signature | `void createLcpTable(lcp, text, suffixArray[, algoTag]);`

## Parameters

`lcp` | The resulting lcp table.
`text` | A given text. Types: ContainerConcept
`suffixArray` | The suffix array of `text`.
`algoTag` | A tag that identifies the algorithm which is used for creation.

## Detailed Description

This function should not be called directly. Please use indexCreate or indexRequire. The size of `lcp` must be at least `length(text)` before calling this function.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn createLcpTable
     *
     * @headerfile <seqan/index.h>
     *
     * @brief Creates a LCP table from a given text and suffix array.
     *
     * @signature void createLcpTable(lcp, text, suffixArray[, algoTag]);
     *
     * @param[out] lcp The resulting lcp table.
     * @param[in] text A given text. Types: @link ContainerConcept @endlink
     * @param[in] suffixArray The suffix array of <tt>text</tt>.
     * @param[in] algoTag A tag that identifies the algorithm which is used for
     *                    creation.
     *
     * This function should not be called directly. Please use @link
     * Index#indexCreate @endlink or @link Index#indexRequire @endlink. The size of
     * <tt>lcp</tt> must be at least <tt>length(text)</tt> before calling this
     * function.
     */